Loading...
Searching...
No Matches
altcp_tls.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/altcp.h"`
`#include "lwip/apps/altcp_tls_mbedtls_opts.h"`

## Functions

struct altcp_tls_config * | altcp_tls_create_config_server (u8_t cert_count)
err_t | altcp_tls_config_server_add_privkey_cert (struct altcp_tls_config *config, const u8_t *privkey, size_t privkey_len, const u8_t *privkey_pass, size_t privkey_pass_len, const u8_t *cert, size_t cert_len)
struct altcp_tls_config * | altcp_tls_create_config_server_privkey_cert (const u8_t *privkey, size_t privkey_len, const u8_t *privkey_pass, size_t privkey_pass_len, const u8_t *cert, size_t cert_len)
struct altcp_tls_config * | altcp_tls_create_config_client (const u8_t *cert, size_t cert_len)
struct altcp_tls_config * | altcp_tls_create_config_client_2wayauth (const u8_t *ca, size_t ca_len, const u8_t *privkey, size_t privkey_len, const u8_t *privkey_pass, size_t privkey_pass_len, const u8_t *cert, size_t cert_len)
int | altcp_tls_configure_alpn_protocols (struct altcp_tls_config *conf, const char **protos)
void | altcp_tls_free_config (struct altcp_tls_config *conf)
void | altcp_tls_free_entropy (void)
struct altcp_pcb * | altcp_tls_wrap (struct altcp_tls_config *config, struct altcp_pcb *inner_pcb)
struct altcp_pcb * | altcp_tls_new (struct altcp_tls_config *config, u8_t ip_type)
struct altcp_pcb * | altcp_tls_alloc (void *arg, u8_t ip_type)
void * | altcp_tls_context (struct altcp_pcb *conn)
void | altcp_tls_init_session (struct altcp_tls_session *dest)
err_t | altcp_tls_get_session (struct altcp_pcb *conn, struct altcp_tls_session *dest)
err_t | altcp_tls_set_session (struct altcp_pcb *conn, struct altcp_tls_session *from)
void | altcp_tls_free_session (struct altcp_tls_session *dest)

## Detailed Description

Application layered TCP/TLS connection API (to be used from TCPIP thread)